const request = require('request');

function payment() {
    var options = {
        method: 'POST',
        url: 'https://www.yarpay.net/api/getIdentify',
        headers: {
            'Content-Type': 'application/json',
        },
        body: {
            'merchantCode': 'merchantCode for shop',
            'callbackAddress': 'callbackAddress for website',
            'amount': 1000,
        },
        json: true,
    };

    request(options, function (error, response, body) {

        if (error) throw new Error(error);

        if (!error && body.Status == 100) {
            res.redirect('https://www.yarpay.net/showPsp/' + body.identify)
        } else {
            console.log('transaction failed');
            res.redirect('/');
        }

    });
}


function verify() {
    const identify = req.query.identify;

    var options = {
        method: 'POST',
        url: 'https://www.yarpay.net/api/getResult',
        headers: {
            'Content-Type': 'application/json',
        },
        body: {
            'identify': identify,
            'callbackAddress': 'callbackAddress for website',
        },
        json: true,
    };

    request(options, function (error, response, body) {

        if (error) throw new Error(error);

        if (!error && body.Status == 100) {
            console.log('transaction success');
        } else {
            console.log('transaction failed');
        }

    });
}


